# Get All Inventory Levels Grouped By Fulfillment Center GET https://api.shipbob.com/2.0/inventory-level/locations Reference: https://developer.shipbob.com/api/inventory/get-all-inventory-levels-grouped-by-fulfillment-center ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: api-2.0 version: 1.0.0 paths: /2.0/inventory-level/locations: get: operationId: get-all-inventory-levels-grouped-by-fulfillment-center summary: |2 Get All Inventory Levels Grouped By Fulfillment Center tags: - subpackage_inventory parameters: - name: LocationType in: query description: '' required: false schema: type: string - name: LocationId in: query description: '' required: false schema: type: string format: int32 - name: SearchBy in: query description: '' required: false schema: type: string - name: InventoryIds in: query description: '' required: false schema: type: string - name: IsActive in: query description: '' required: false schema: type: boolean - name: IsDigital in: query description: '' required: false schema: type: boolean - name: PageSize in: query description: '' required: false schema: type: string format: int32 - name: SortBy in: query description: '' required: false schema: type: string - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token required: true schema: type: string responses: '200': description: OK content: application/json: schema: $ref: >- #/components/schemas/Inventories.InventoryQuantityFcResponsePagedResponse '400': description: Bad Request content: application/json: schema: $ref: '#/components/schemas/Inventories.ProblemDetails' '401': description: Unauthorized content: application/json: schema: $ref: '#/components/schemas/Inventories.ProblemDetails' '403': description: Forbidden content: application/json: schema: $ref: '#/components/schemas/Inventories.ProblemDetails' '500': description: Internal Server Error content: application/json: schema: description: Any type '503': description: Service Unavailable content: application/json: schema: description: Any type servers: - url: https://api.shipbob.com - url: https://sandbox-api.shipbob.com components: schemas: Inventories.FulfillmentCenterResponse: type: object properties: awaiting_quantity: type: integer committed_quantity: type: integer fulfillable_quantity: type: integer internal_transfer_quantity: type: integer location_id: type: integer name: type: - string - 'null' on_hand_quantity: type: integer title: Inventories.FulfillmentCenterResponse Inventories.InventoryQuantityFcResponse: type: object properties: inventory_id: type: integer locations: type: - array - 'null' items: $ref: '#/components/schemas/Inventories.FulfillmentCenterResponse' name: type: - string - 'null' sku: type: - string - 'null' title: Inventories.InventoryQuantityFcResponse Inventories.InventoryQuantityFcResponsePagedResponse: type: object properties: first: type: - string - 'null' items: type: - array - 'null' items: $ref: '#/components/schemas/Inventories.InventoryQuantityFcResponse' last: type: - string - 'null' next: type: - string - 'null' prev: type: - string - 'null' title: Inventories.InventoryQuantityFcResponsePagedResponse Inventories.ProblemDetails: type: object properties: detail: type: - string - 'null' instance: type: - string - 'null' status: type: - integer - 'null' title: type: - string - 'null' type: type: - string - 'null' title: Inventories.ProblemDetails securitySchemes: PAT: type: http scheme: bearer description: Authentication using Personal Access Token (PAT) token OAuth2: type: http scheme: bearer description: OAuth2 authentication using JWT tokens ``` ## SDK Code Examples ```python Inventory_getAllInventoryLevelsGroupedByFulfillmentCenter_example import requests url = "https://api.shipbob.com/2.0/inventory-level/locations" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Inventory_getAllInventoryLevelsGroupedByFulfillmentCenter_example const url = 'https://api.shipbob.com/2.0/inventory-level/locations'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Inventory_getAllInventoryLevelsGroupedByFulfillmentCenter_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/2.0/inventory-level/locations" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Inventory_getAllInventoryLevelsGroupedByFulfillmentCenter_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/2.0/inventory-level/locations") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Inventory_getAllInventoryLevelsGroupedByFulfillmentCenter_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/2.0/inventory-level/locations") .header("Authorization", "Bearer ") .asString(); ``` ```php Inventory_getAllInventoryLevelsGroupedByFulfillmentCenter_example request('GET', 'https://api.shipbob.com/2.0/inventory-level/locations', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Inventory_getAllInventoryLevelsGroupedByFulfillmentCenter_example using RestSharp; var client = new RestClient("https://api.shipbob.com/2.0/inventory-level/locations"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Inventory_getAllInventoryLevelsGroupedByFulfillmentCenter_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2.0/inventory-level/locations")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```